Subject: Re: net/wanrouter?

From: Ben Greear <[email-masked]>
Date: Thu, 24 May 2012 09:32:43 -0700

On 05/24/2012 09:22 AM, Joe Perches wrote:
> On Thu, 2012-05-24 at 09:13 -0700, Stephen Hemminger wrote:
>> On Thu, 24 May 2012 15:51:56 +0200
>> Jan Ceuleers<[email-masked]>  wrote:
>>
>>> On 05/22/2012 07:33 PM, Joe Perches wrote:
>>>> Does anyone still use this?
>>>
>>> I have the hardware (a Sangoma ADSL PCI card) but am no longer using it.
>>> Also, as I remember, Sangoma stopped contributing to the upstream driver
>>> many years ago while still actively developing the out-of-tree version.
>>
>> The wanrouter code hasn't supported Sangoma hardware for a long time,
>> it got removed early in 2.6.
>>
>> There are a bunch of old T1 and T3 cards there but I doubt any of them
>> are still for sale. But somebody is probably still using them.
>
> I'm sure people are still using token ring
> too, just not with recent kernels.
>
> I think wanrouter is old and dusty and can
> be removed just like TR.

I think you should mark it deprecated for a release or
two first, just in case.  Unless it is obviously very
broken or holding up other important work.

Lots of people that might be using this do not follow
the netdev mailing list...

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com